%global momorel 1
%global md5sum_src0 8f89a65b2d0aa8f8f5979c7d9de3d051

Name:		libxklavier
Summary:	libXklavier library
Version:	3.2
Release: %{momorel}m%{?dist}
License:	LGPL
Group:		Development/Libraries
Url: http://gswitchit.sourceforge.net/
BuildPrereq: doxygen
BuildPrereq: pkgconfig
BuildPrereq: libxml2-devel >= 2.6.27
BuildPrereq: glib2-devel >= 2.12.11
Buildroot: %{_tmppath}/%{name}-%{version}-root
%NoSource 0 http://dl.sourceforge.net/sourceforge/gswitchit/%{name}-%{version}.tar.gz %{md5sum_src0}

%description
This library allows you simplify XKB-related development.

%package devel
Summary: Libraries, includes, etc to develop libxklavier applications
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Libraries, include files, etc you can use to develop libxklavier applications.

%prep
%setup -q

%build
%configure --enable-gtk-doc \
    --enable-xkb-support \
    --enable-xmodmap-support
%make 

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING.LIB CREDITS
%{_libdir}/lib*.so.*
%{_datadir}/libxklavier

%files devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/*
%{_datadir}/gtk-doc/html/libxklavier

%changelog
* Thu Mar 29 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.2-1m)
- update to 3.2

* Fri Nov  3 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.1-1m)
- update to 3.1

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.0-1m)
- update 3.0

* Wed Aug 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2-2m)
- delete libtool library

* Fri Apr  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.2-1m)
- update to 2.2

* Tue Nov 22 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (2.0-3m)
- add gcc4 patch. import from Debian
- Patch0: libxklavier_2.0-0.2.0.0.1.gcc4.diff.gz

* Sun Nov 20 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0-2m)
- delete autoreconf and make check

* Wed Nov 16 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0-1m)
- version up
- GNOME 2.12.1 Desktop

* Tue Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.04-1m)
- version 1.04
- GNOME 2.8 Desktop
- add configure option : --enable-doxygen --with-xkb-base=/etc/X11/xkb

* Wed Dec 22 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.02-2m)
- add auto commands before %%build for fix missing lib*.so problem

* Thu Apr 22 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.02-1m)
- version 1.02
- GNOME 2.6 Desktop

* Sat Nov 15 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.95-1m)
- version 0.95
